## 前言

### 1. 简介

Vue_R7是iBiz平台提供的一套PC端前端解决方案（以下简称前端模板），基于消费iBiz模型进行开发扩展。本文档主要介绍该前端模板的主要体系、成果物结构及代码扩展做一阐述，旨在能够为开发人员提供一定开发指导支持。

### 2. 特性

-标准Restful设计
1.Vue-R7的视图路径，遵从Restful标准路径，如：

1)打开客户编辑界面：/index/null/customers/1/editview

2)打开客户关联订单表格界/index/null/customers/1/order/null/gridview?name=zhangsan;age=24

3)打开订单编辑界面：/index/null/customers/1/order/2/editview

2.基于 Restful 接口标准前后端交互，前端和后端人员更加专注于各自开发。

-业务逻辑与界面表现分离
分离与后台交互的逻辑服务能力，UI 表现依旧使用常规 vue 模式，实现界面表现与逻辑服务的分离。

-快速介入的代码能力
Vue-R7提供了快速介入的代码能力，从影响范围可划分为：模板样式，插件，代码重写。视图、部件、服务都提供了继承机制，根据业务场景重写即可。

### 3. 开发环境要求

- Node.js

- Yarn

- Vue Cli

### 4. 开发技术要求

掌握`Vue`、`TypeScript`、`less`、`html`等技术。

### 5. 技术栈

-vue.js
-element-ui
-iView
-vue-router路由
-vuex状态管理
-vue-i18n国际化
-axioshttp库
-rxjs响应式编程库


### 5. 链接

-Vue
-Vue Cli
-TypeScript
-Node.js
-Yarn
-FreeMarker